Package org.jfree.layouting.layouter.style.resolver.computed

## Class ListOfConstantsResolveHandler

- java.lang.Object
- - org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler
  - - org.jfree.layouting.layouter.style.resolver.computed.ListOfConstantsResolveHandler

- All Implemented Interfaces:
    `ResolveHandler`
  Direct Known Subclasses:
    `BackgroundAttachmentResolveHandler`, `BackgroundClipResolveHandler`, `BackgroundOriginResolveHandler`

      public abstract class ListOfConstantsResolveHandler
      extends ConstantsResolveHandler

  Creation-Date: 14.12.2005, 23:08:14
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListOfConstantsResolveHandler​()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `resolve​(LayoutProcess process, LayoutElement currentNode, StyleKey key)` | Resolves a single property.
    `protected void` | `resolveInvalidItem​(LayoutProcess process, LayoutElement currentNode, StyleKey key, int index)` |
    `protected abstract boolean` | `resolveItem​(LayoutProcess process, LayoutElement currentNode, StyleKey key, int index, CSSConstant item)` |

    - ### Methods inherited from class org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler

      `addNormalizeValue, addValue, getFallback, getRequiredStyles, lookupValue, resolveValue, setFallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListOfConstantsResolveHandler

          public ListOfConstantsResolveHandler​()

  - ### Method Detail

    - #### resolve

          public void resolve​(LayoutProcess process,
                              LayoutElement currentNode,
                              StyleKey key)

      Resolves a single property.
      Specified by:
        `resolve` in interface `ResolveHandler`
      Overrides:
        `resolve` in class `ConstantsResolveHandler`
      Parameters:
        `currentNode` -
        `style` -

    - #### resolveInvalidItem

          protected void resolveInvalidItem​(LayoutProcess process,
                                            LayoutElement currentNode,
                                            StyleKey key,
                                            int index)

    - #### resolveItem

          protected abstract boolean resolveItem​(LayoutProcess process,
                                                 LayoutElement currentNode,
                                                 StyleKey key,
                                                 int index,
                                                 CSSConstant item)